Update a job
PATCH
/v1/jobs/{id}
const url = 'https://shareout.site/v1/jobs/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","description":"example","schedule":"example","enabled":true,"config":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/jobs/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "description": "example", "schedule": "example", "enabled": true, "config": {} }'Enable/pause, change schedule, title, description, or config.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
title
string
description
string
schedule
string
enabled
boolean
config
object
Examplegenerated
{ "title": "example", "description": "example", "schedule": "example", "enabled": true, "config": {}}Responses
Section titled “Responses”Updated
